SCRIPTLIVE(1)

BEZEICHNUNG
scriptlive - Sitzungs-Eingabeskripte unter Verwendung von Timing-Informationen wiedergeben

ÜBERSICHT

scriptlive [Optionen] Timing-Datei Eingabeskript

BESCHREIBUNG

Dieses Programm gibt ein Eingabeskript aus der Standardeingabe wieder und stellt über die Timing-Informationen sicher, dass die Ausgabe im gleichen Rhythmus wie bei der ursprünglichen Aufzeichnung des Skripts erfolgt.

Die Sitzung wird mit der $SHELL des Benutzers in neu erstellten Pseudo-Terminals ausgeführt (oder standardmäßig /bin/bash).

Vorsicht! Das Eingabeskript kann alle möglichen Befehle enthalten. Es ist empfehlenswert, »scriptreplay --stream in --log-in Eingabeskript« (oder mit --log-io anstelle von --log-in) zu verwenden, um das Eingabeskript vor der Ausführung durch scriptlive zu verifizieren.

Die Timing-Information ist jene, die script(1) in die mit --log-timing angegebene Datei schreibt. Das Eingabeskript muss die Informationen der Standardeingabe enthalten und ist das, was script(1) in die mit --log-in oder --log-io angegebene Datei schreibt.

OPTIONEN

-c, --command Befehl
    führt den angegebenen Befehl anstelle einer interaktiven Shell aus. Der Befehl wird als Argument an die Option -c der ausführenden Shell übergeben. Die verwendete Shell ist entweder $SHELL, die in der passwd(5)-Datenbank des Benutzers definierte Shell, oder _PATH_BSHELL, in der jeweils angegebenen Reihenfolge.

-I, --log-in Datei
    gibt die Datei an, welche die Terminaleingaben von script enthält.

-B, --log-io Datei
    gibt die Datei an, welche die Terminalaus- und -eingaben von script enthält.

-E, --echo wann
    steuert den ECHO-Schalter des Pseudoterminals innerhalb der Sitzung. Unterstützte Modi sind always (immer), never (nie) oder auto (automatisch).

    Die Vorgabe ist auto, wodurch ECHO aktiviert ist. Dieses Standardverhalten ist zukünftigen Änderungen unterworfen.

-t, --timing Datei
    gibt die Datei an, welche die Timing-Informationen von script enthält. Diese Option das positionale Argument Timing-Datei.

-T, --log-timing Datei
    ist ein Alias für -t, der zwecks Kompatibilität zu den Befehlszeilenoptionen von script(1) erhalten wird.

-d, --divisor Faktor
    skaliert die Wiedergabegeschwindigkeit um den angegebenen Faktor. Das Argument ist eine Gleitkommazahl. Diese Option setzt Argumente im klassischen Stil außer Kraft.

-m, --maxdelay Anzahl
    gibt die maximale Verzögerung zwischen den Aktualisierungen des Skripts als Anzahl in Sekunden an. Das Argument ist eine Gleitkommazahl. Damit können Sie lange Pausen in der Wiedergabe des Eingabeskripts vermeiden.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

BEISPIELE

    % script --log-timing file.tm --log-in script.in
    Skript gestartet, Datei ist script.out
    % date
    <etc, etc>
    % exit
    Skript wurde beendet, Datei ist script.out
    % scriptlive --log-timing file.tm --log-in script.in

AUTOREN

COPYRIGHT

Copyright © 2019 Karel Zak

Dies ist freie Software, in den Quellen finden Sie die Bedingungen zur Vervielfältigung und Weitergabe. Es gibt KEINE Garantie, auch nicht für die MARKTREIFE oder die TAUGLICHKEIT FÜR EINEN BESTIMMTEN ZWECK.

Veröffentlicht unter den Bedingungen der GNU General Public License Version 2 oder neuer.

SIEHE AUCH

script(1), scriptreplay(1)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl scriptlive ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.